using System;
using System.Collections.Generic;
using System.Linq;
using System.Threading.Tasks;
using Microsoft.AspNetCore.Mvc;
using Microsoft.AspNetCore.Mvc.RazorPages;
using Waste.Application;
using Waste.Domain;

namespace Waste.Web.Entry.Pages.SZPlt
{
    public class EditAddressModel : BaseModel
    {
        private readonly ISZPltService _sZPltService;
        public W_SZAddress data = new W_SZAddress();

        public EditAddressModel(ISZPltService sZPltService)
        {
            _sZPltService = sZPltService;
        }
        public async Task OnGetAsync(Guid?id =null)
        {
            if (id.HasValue && id.Value != Guid.Empty)
            {
                data = await _sZPltService.DetailAddressAsync(id.Value);
            }
        }
    }
}
